Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto.signers
Class ECGOST3410Signer

    java.lang.Object
      org.bouncycastle.crypto.signers.ECGOST3410Signer

All Implemented Interfaces:
  DSA, DSAExt

Direct Known Subclasses:
  ECGOST3410_2012Signer

public class ECGOST3410Signer
extends java.lang.Object
implements DSAExt

GOST R 34.10-2001 and GOST R 34.10-2012 Signature Algorithm

Constructor Summary
`ECGOST3410Signer()`

Method Summary
`protected ECMultiplier` | `createBasePointMultiplier()`
`java.math.BigInteger[]` | `generateSignature(byte[] message)` generate a signature for the given message using the key we were initialised with.
`java.math.BigInteger` | `getOrder()` Get the order of the group that the r, s values in signatures belong to.
`void` | `init(boolean forSigning, CipherParameters param)` initialise the signer for signature generation or signature verification.
`boolean` | `verifySignature(byte[] message, java.math.BigInteger r, java.math.BigInteger s)` return true if the value r and s represent a GOST3410 signature for the passed in message (for standard GOST3410 the message should be a GOST3411 hash of the real message to be verified).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ECGOST3410Signer

    public ECGOST3410Signer()

Method Detail

### init

    public void init(boolean forSigning,
                     CipherParameters param)

  Description copied from interface: `DSA`
  initialise the signer for signature generation or signature verification.

  Specified by:
    `init` in interface `DSA`
  Parameters:
    `forSigning` - true if we are generating a signature, false otherwise.
    `param` - key parameters for signature generation.

### getOrder

    public java.math.BigInteger getOrder()

  Description copied from interface: `DSAExt`
  Get the order of the group that the r, s values in signatures belong to.

  Specified by:
    `getOrder` in interface `DSAExt`

### generateSignature

    public java.math.BigInteger[] generateSignature(byte[] message)

  generate a signature for the given message using the key we were initialised with. For conventional GOST3410 the message should be a GOST3411 hash of the message of interest.

  Specified by:
    `generateSignature` in interface `DSA`
  Parameters:
    `message` - the message that will be verified later.
  Returns:
    two big integers representing the r and s values respectively.

### verifySignature

    public boolean verifySignature(byte[] message,
                                   java.math.BigInteger r,
                                   java.math.BigInteger s)

  return true if the value r and s represent a GOST3410 signature for the passed in message (for standard GOST3410 the message should be a GOST3411 hash of the real message to be verified).

  Specified by:
    `verifySignature` in interface `DSA`
  Parameters:
    `message` - the message that was supposed to have been signed.
    `r` - the r signature value.
    `s` - the s signature value.

### createBasePointMultiplier

    protected ECMultiplier createBasePointMultiplier()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD